.msgpop {
    display: inline-block;
        text-indent:0em;
		cursor: pointer;
}

.msgpop:hover .tooltap {
    display: block;
	
}

.tooltap {
    display: none;
        width: calc(400px);
        background: none/* rgba(0, 0, 0, 0.5) */;
		color: black;       
        right: 364px;
		top: 420px;
        line-height: normal;
        text-decoration: none;
        position: absolute;
        z-index: 181; 
}
/* ********************************************* TIP 2 ********************************************************* */
.pop-map {
    display: inline-block;
        text-indent:0em;
		cursor: pointer;
}

.pop-map:hover .tool-map {
    display: block;
	
}

.tool-map {
    display: none;
        width: calc(400px);
        background: none/* rgba(0, 0, 0, 0.5) */;
		color: black;       
        right: 700px;
		top: 480px;
        line-height: normal;
        text-decoration: none;
        position: absolute;
        z-index: 181; 
}
/* ****************************************** TIP 3 ********************************************************* */
.pop-next {
    display: inline-block;
        text-indent:0em;
		cursor: pointer;
}

.pop-next:hover .tool-next {
    display: block;
	
}

.tool-next {
    display: none;
        width: calc(200px);
        background: none/* rgba(0, 0, 0, 0.5) */;
		color: black; 
        font-weight: bold;		
        right: 440px;
		top: 820px;
        line-height: normal;
        text-decoration: none;
        position: absolute;
        z-index: 181; 
		background: red;
}
.tool-next {
    text-decoration:none;
    position:relative;
}
.tool-next span {
    display:none;
}
.tool-next:hover span {
    display:block;
    position:fixed;
    overflow:hidden;
}
/* ****************************************** tooltrap ********************************************************* */
.tooltrap {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black;
  cursor: pointer;
}

.tooltraptext {
  visibility: hidden;
  width: 582px;
  background-color: white;
  color: #000;
  text-align: center;
  border-radius: 6px;
  padding: 2px;
  position: absolute;
  z-index: 1;
  top: -5px;
  left: 110%;
}

.tooltraptext::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 100%;
  margin-top: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent white transparent transparent;
}

.tooltrap:hover .tooltraptext {
  visibility: visible;
}